API ReferenceBackoffice
Validate Count Sensor Config
Validate count sensor config.
Authorization
bearerAuth superuserAuthorization<token>
In: header
Scope: superuser
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
Try it live
curl -X POST "https://example.com/backoffice/machines/count-sensors/validate" \ -H "Content-Type: application/json" \ -d '{ "content": [ { "countingUploading": true, "scrap": { "countingFactor": 0, "channel": 0, "node": 0 }, "defects": { "countingFactor": 0, "channel": 0, "node": 0 }, "correct": { "countingFactor": 0, "channel": 0, "node": 0 }, "total": { "countingFactor": 0, "channel": 0, "node": 0 }, "machineName": "string", "company": "string", "machineId": "string" } ], "companyId": 0.1 }'{ "errors": [ "string" ], "identical": [ { "configs": [ { "maskThreshold": 0, "maskChannel": 0, "type": "string", "countingFactor": 0, "channel": 0, "nodeId": 0 } ], "isCountEnabled": true, "machineRef": "string" } ], "updated": [ { "configs": [ { "maskThreshold": 0, "maskChannel": 0, "type": "string", "countingFactor": 0, "channel": 0, "nodeId": 0 } ], "isCountEnabled": true, "machineRef": "string" } ], "deleted": [ { "configs": [ { "maskThreshold": 0, "maskChannel": 0, "type": "string", "countingFactor": 0, "channel": 0, "nodeId": 0 } ], "isCountEnabled": true, "machineRef": "string" } ], "added": [ { "configs": [ { "maskThreshold": 0, "maskChannel": 0, "type": "string", "countingFactor": 0, "channel": 0, "nodeId": 0 } ], "isCountEnabled": true, "machineRef": "string" } ]}